/* 
    Table of content
    1. TEAMMEMBER
    2. MOBILE MENU
        2.1 Close
        2.2 Logo
        2.3 Label
        2.4 Menu
        2.5 CTA
        2.6 Socials
*/

/* 1. TEAMMEMBER */
.modal-teammember {
    position: fixed;
    z-index: 10;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 5rem var(--grid-padding);
    background-color: rgba(0,0,0,.88);
    display: none;
    justify-content: center;
    align-items: center;
    overflow-y: auto;
}

.modal-teammember .container {
    position: relative;
    background: var(--color-darkerblue);
    background: linear-gradient(315deg,var(--color-darkerblue) 0%, var(--color-darkblue) 100%);
    border-radius: 1rem;
    display: grid;
    grid-template-columns: 2fr 3fr;
    overflow: hidden;
}

.modal-teammember .close {
    position: absolute;
    z-index: 1;
    top: 2.5rem;
    right: 2.5rem;
    font-size: 2.2rem;
    display: flex;
    cursor: pointer;
}

.modal-teammember .image-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.modal-teammember .content-wrapper {
    padding: 5rem 5rem 10.9rem;
    font-size: 1.6rem;
}

.modal-teammember .faux-h1 {
    margin: 0 0 .5rem;
}

.modal-teammember .position {
    color: var(--color-blue);
}

.modal-teammember .text {
    margin-top: 3rem;
}

.modal-teammember .success-wrapper {
    margin-top: 3rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.modal-teammember .amount-wrapper {
    display: flex;
    gap: 1.5rem;
    font-size: 1.5rem;
    line-height: 1.3;
    color: var(--color-blue);
}

.modal-teammember .amount {
    position: relative;
    top: -1rem;
    font-family: 'SF Pro Display';
    font-size: 4.4rem;
    color: white;
}

.modal-teammember .languages-wrapper {
    margin-top: 1rem;
    font-size: 1.5rem;
    line-height: 1.3;
    color: var(--color-blue);
}

.modal-teammember .languages {
    margin-top: .3rem;
    font-family: 'SF Pro Display';
    font-size: 1.8rem;
    color: white;
}

.modal-teammember .contact-wrapper {
    position: absolute;
    right: 5rem;
    bottom: 5rem;
}

/* 2. MOBILE MENU */
.mobile-menu {
    position: fixed;
    z-index: 20;
    top: 0;
    left: 0;
    width: 100%;
    max-width: 50rem;
    height: 100%;
    background-color: rgba(255,255,255,.1);
    backdrop-filter: blur(3rem);
    -webkit-backdrop-filter: blur(3rem);
    transform: translateX(-100%);
    transition: transform .3s ease;
    overflow-y: auto;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.mobile-menu::-webkit-scrollbar {
    display: none;
}

.mobile-menu.is-open {
    transform: translateX(0);
}

.mobile-menu .container {
    min-height: 100%;
    padding: 5rem 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

/* 2.1 Close */
.mobile-menu .close {
    position: absolute;
    top: 2.5rem;
    right: 3.9rem;
    font-size: 2.2rem;
    display: flex;
    cursor: pointer;
}

/* 2.2 Logo */
.mobile-menu .logo-wrapper {    
    width: 25.3rem;
    height: 4.4rem;
    display: flex;
}

.mobile-menu .logo-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
}

/* 2.3 Label */
.mobile-menu .menu-label a,
.mobile-menu .socials-wrapper .menu-label {
    display: inline-block;
    font-size: 1.2rem;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: .1rem;
    text-decoration: none;
}

/* 2.4 Menu */
.mobile-menu .menu-mobile-menu-container {
    margin-top: 4rem;
}

.mobile-menu ul.menu,
.mobile-menu ul.sub-menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.mobile-menu ul.menu li:not(.menu-label) + li.menu-label {
    margin-top: 4rem;
}

.mobile-menu ul.menu li.menu-item-has-children {
    position: relative;
}

.mobile-menu ul.menu li.menu-item-has-children::after {
    content: '\2b';
    position: absolute;
    top: .7rem;
    right: 0;
    font-family: 'Font Awesome 6 Pro';
}

.mobile-menu ul.menu li.menu-item-has-children.active::after {
    content: '\f068';
}

.mobile-menu ul.menu li:not(.menu-label) a {
    font-family: 'SF Pro Display';
    font-size: 2.8rem;
    line-height: 1.3;
    text-decoration: none;
}

.mobile-menu ul.sub-menu {
    max-width: 30rem;
    height: 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    visibility: hidden;
    overflow: hidden;
}

.mobile-menu ul.sub-menu li:nth-child(-n+2) {
    padding-top: 1rem;
}

.mobile-menu ul.sub-menu li:last-child {
    padding-bottom: 1rem;
}

.mobile-menu ul.sub-menu li:not(.menu-label) a {
    font-size: 1.8rem;
}

.mobile-menu ul.sub-menu ul {
    display: none;
}

/* 2.5 CTA */
.mobile-menu .cta-wrapper {
    margin-top: 8rem;
    font-size: 1.6rem;
}

.mobile-menu .cta-wrapper h3,
.mobile-menu .cta-wrapper .faux-h3 {
    margin-bottom: 1rem;
}

.mobile-menu .cta-wrapper .btn {
    margin-top: 2rem;
}

.mobile-menu .cta-wrapper .btn {
    border-color: var(--color-darkerblue);
    background-color: var(--color-darkerblue);
    color: white;
}

.mobile-menu .cta-wrapper .btn::after {
    background-color: white;
    color: var(--color-darkerblue);
}

.mobile-menu .cta-wrapper .btn:hover {
    border-color: var(--color-blue);
    background-color: var(--color-blue);
    color: var(--color-darkerblue);
}

.mobile-menu .cta-wrapper .btn:hover::after {
    background-color: var(--color-darkerblue);
    color: white;
}

/* 2.6 Socials */
.mobile-menu .socials-wrapper {
    margin-top: 4rem;
}

.mobile-menu .socials {
    margin-top: .75rem;
    display: flex;
    gap: 1rem;
}

.mobile-menu .socials a {
    width: 3.4rem;
    height: 3.4rem;
    border: .1rem solid white;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.6rem;
    text-decoration: none;
}

.mobile-menu .socials a:hover {
    border-color: var(--color-blue);
    background-color: var(--color-blue);
    color: var(--color-darkerblue);
}

/* RESIZE */
@media (max-height: 1080px) {
    /* 2. MOBILE MENU */
    /* 2.4 Menu */
    .mobile-menu ul.menu li:not(.menu-label) + li.menu-label {
        margin-top: 3rem;
    }

    .mobile-menu ul.menu li.menu-item-has-children::after {
        top: .4rem;
    }

    .mobile-menu ul.menu > li:not(.menu-label) > a {
        font-size: 2.4rem;
    }

    /* 2.5 CTA */
    .mobile-menu .cta-wrapper .faux-h3 {
        font-size: 2.4rem;
    }

    /* 2.6 Socials */
    .mobile-menu .socials-wrapper {
        margin-top: 3rem;
    }
}

@media (max-height: 767px) {
    /* 1. TEAMMEMBER */
    .modal-teammember {
        align-items: flex-start;
    }
}

@media (max-width: 767px) {
    /* 1. TEAMMEMBER */
    .modal-teammember {
        align-items: flex-start;
    }

    .modal-teammember .container {
        grid-template-columns: 1fr;
    }

    .modal-teammember .close {
        top: 2rem;
        right: 2rem;
    }

    .modal-teammember .image-wrapper {
        position: relative;
        width: 100%;
        height: 0;
        padding-top: 75%;
    }

    .modal-teammember .image-wrapper img {
        position: absolute;
        top: 0;
        left: 0;
    }

    .modal-teammember .content-wrapper {
        padding: 3rem 3rem 8.9rem;
    }

    .modal-teammember .contact-wrapper {
        right: 3rem;
        bottom: 3rem;
    }
}

@media (max-width: 599px) {
    /* 2. MOBILE MENU */
    .mobile-menu {
        max-width: 40rem;
    }

    .mobile-menu .container {
        padding: 4rem 0;
    }

    /* 2.1 Close */
    .mobile-menu .close {
        top: 1.5rem;
        right: 1.8rem;
    }

    /* 2.4 Menu */
    .mobile-menu .menu-mobile-menu-container {
        margin-top: 3rem;
    }
}

@media (max-width: 499px) {
    /* 1. TEAMMEMBER */
    .modal-teammember .success-wrapper {
        grid-template-columns: 1fr;
        grid-gap: 1rem;
    }

    .modal-teammember .contact-wrapper {
        right: inherit;
        left: 3rem;
    }
}